Bug 136316 - Traceback attempting to display gpg install key dialog
Traceback attempting to display gpg install key dialog
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: up2date (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Adrian Likins
Max Spevack
Depends On:
Blocks: 123574 130798
  Show dependency treegraph
Reported: 2004-10-19 06:13 EDT by Jay Turner
Modified: 2015-01-07 19:08 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-20 05:09:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jay Turner 2004-10-19 06:13:31 EDT
Description of problem:
With up2date-4.2.48-1, I'm getting a traceback when running in GUI
mode on a system which doesn't have the RH GPG key installed:

Traceback (most recent call last):
  File "/usr/sbin/up2date", line 1174, in ?
    sys.exit(main() or 0)
  File "/usr/sbin/up2date", line 656, in main
    ret = sanityChecks(fromDaemon, hasGui)
  File "/usr/sbin/up2date", line 289, in sanityChecks
    ret = gpgWarning2(hasGui)
  File "/usr/sbin/up2date", line 208, in gpgWarning2
    dlg = gui.QuestionDialog( guiErrMsg + _("\n\nInstall key?") )
AttributeError: 'module' object has no attribute 'QuestionDialog'

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Todd Warner 2004-10-19 07:01:09 EDT
would pychecker have caught this adrian?
Comment 2 Adrian Likins 2004-10-19 12:18:03 EDT
fixed when 4.2.50 gets built
Comment 3 Adrian Likins 2004-10-19 12:44:27 EDT
4.2.50 building
Comment 4 Jay Turner 2004-10-20 05:09:54 EDT
This issue is indeed resolved with up2date-4.2.51-1 which is included
in the re1020.0 build.

Note You need to log in before you can comment on or make changes to this bug.